summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/ecompressdir
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/ecompressdir')
-rwxr-xr-xbin/ebuild-helpers/ecompressdir4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/ecompressdir b/bin/ebuild-helpers/ecompressdir
index 4dd35e549..297b46777 100755
--- a/bin/ebuild-helpers/ecompressdir
+++ b/bin/ebuild-helpers/ecompressdir
@@ -54,7 +54,7 @@ funk_up_dir() {
# first we act on all the files
find "${dir}" -type f ${negate} -iname '*'${suffix} -print0 | ${XARGS} -0 ${binary}
- ((ret+=$?))
+ ((ret|=$?))
find "${dir}" -type l -print0 | \
while read -d $'\0' brokenlink ; do
@@ -67,7 +67,7 @@ funk_up_dir() {
[[ ${act} == "compress" ]] \
&& ln -snf "${newdest}" "${brokenlink}${suffix}" \
|| ln -snf "${newdest}" "${brokenlink%${suffix}}"
- ((ret+=$?))
+ ((ret|=$?))
done
}